Part RegularPolygon: Difference between revisions

From FreeCAD Documentation
(Revising...)
Line 25: Line 25:


<!--T:2-->
<!--T:2-->
A [[Image:Part_RegularPolygon.svg|24px]] '''Part RegularPolygon''' is a parametric shape that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the polygon lies on the XY plane with its center at the origin and one of its vertices on the X axis.
The [[Image:Part_RegularPolygon.svg|24px]] [[Part_RegularPolygon|Part Regular polygon]] command creates a parametric regular polygon shape.


</translate>
FreeCAD creates a six-side polygon of equal edge length with a circumradius of 2 millimetre.
[[Image:Part_RegularPolygon_Example.png|400px]]
By default, the polygon is positioned with its center at the origin (0,0,0) on the xy-plane.
<translate>

[[File:Part RegularPolygon Example.png|Screenshot of Part Regular Polygon]]


==Usage== <!--T:3-->
==Usage== <!--T:3-->


See [[Part_Primitives#Usage|Part Primitives]].
<!--T:6-->
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Primitives.svg|16px]] [[Part Primitives|Create Primitives...]]}} button.
#* Select the {{MenuCommand|Part → Create Primitives → [[Image:Part_Primitives.svg|16px]] Create Primitives...}} option from the menu.
#* Select the {{MenuCommand|[[Image:Part_RegularPolygon.svg|16px]] Regular polygon}} option from the menu.
# Set options and press {{Button|Create}}.
# To close the dialog press {{Button|Close}}.


== Example ==
== Example ==


[[File:Part RegularPolygon Scripting Example.png|thumb|Part Regular polygon scripting example]]
[[Image:Part_RegularPolygon_Scripting_Example.png|thumb|Part RegularPolygon from the scripting example]]


A Part Regular polygon object with the values of the bottom scripting example are shown here.
A Part RegularPolygon object created with the [[#Scripting|scripting example]] below is shown here.


== Properties ==
== Properties ==

Revision as of 16:39, 2 March 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part RegularPolygon

Menu location
Part → Create primitives → Regular Polygon
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives

Description

A Part RegularPolygon is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the polygon lies on the XY plane with its center at the origin and one of its vertices on the X axis.

Usage

See Part Primitives.

Example

Part RegularPolygon from the scripting example

A Part RegularPolygon object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Regular polygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Regular Polygon

  • DataPolygon (Integer): The number of sides of the polygon which describes the cross section of the Part Prism
  • DataCircumradius (Length): The circumradius is the distance from the centre of the polygon to a vertex.

Scripting

A Part Regular polygon is created with the addObject() method of the document.

regularPolygon = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myRegularPolygon")
  • Where myRegularPolygon is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

regularPolygon.Label = "new myRegularPolygonName"

You can access and modify attributes of the regularPolygon object. For example, you may wish to modify the length, width and height parameters.

regularPolygon.Polygon = 5
regularPolygon.Circumradius = 8

You can change its placement and orientation with:

regularPolygon.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(60, 30, 15))